<template>

    <div class="main">

        <el-carousel :interval="5000" arrow="always" height="400px">

            <el-carousel-item v-for="item in 4" :key="item">
                <div class="slider-block">
                    <div class="container">
                        <h3>Покупателям</h3>
                        <div class="slider-block_slider-block-content-box">
                            <div class="slider-block_slider-block-content">
                                <div class="slider-block__slider-block-content__image-block"></div>
                                <span>Lorem ipsum dolor sitamet, consecteturadipiscing elit.</span>
                            </div>
                            <div class="slider-block_slider-block-content">
                                <div class="slider-block__slider-block-content__image-block"></div>
                                <span>Lorem ipsum dolor sitamet, consecteturadipiscing elit.</span>
                            </div>
                            <div class="slider-block_slider-block-content">
                                <div class="slider-block__slider-block-content__image-block"></div>
                                <span>Lorem ipsum dolor sitamet, consecteturadipiscing elit.</span>
                            </div>
                        </div>
                    </div>
                </div>
            </el-carousel-item>

        </el-carousel>


        <div class="container">
            <div class="main-content-blocks__our-principles">
                <h3 class="our-principles-title">Наши принципы</h3>
                <div class="our-principles">

                    <div class="our-principles__content-blocks">
                        <div class="our-principles__content">
                            <div class="our-principles__images-block"></div>
                            <h3>Прозрачность</h3>
                            <span>Никакого мелкого шрифта — правила работы на площадке исключают возможность обмана</span>
                        </div>
                        <div class="our-principles__content">
                            <div class="our-principles__images-block"></div>
                            <h3>Без посредников</h3>
                            <span>Сделки совершаются напрямую между продавцом и покупателем. Выберите партнёра с лучшим рейтингом!</span>
                        </div>
                    </div>

                    <div class="our-principles__content-blocks">
                        <div class="our-principles__content our-principles__content__right">
                            <div class="our-principles__images-block"></div>
                            <h3>Безопасность</h3>
                            <span>Мы гарантируем безопасное проведение сделок, проверяя контрагентов и
                                        защищая ваши средства с помощью системы безопасных платежей</span>
                        </div>
                        <div class="our-principles__content our-principles__content__right">
                            <div class="our-principles__images-block"></div>
                            <h3>Ценообразование с грядки</h3>
                            <span>Сделки совершаются напрямую между продавцом и покупателем. Выберите партнёра с лучшим рейтингом!</span>
                        </div>
                    </div>

                </div>
            </div>

            <div class="products-blocks container">
                <div class="row">

                    <div class="col">
                        <div class="products-block products-block__popular">

                            <p class="products-block-title">Популярное</p>

                            <div class="row justify-content-start">

                                <div class="col col-4 ">
                                    <div class="products-block-product"
                                         :style="{ backgroundImage: `url(${backgroundImage})`}">
                                    </div>
                                </div>
                                <div class="col">
                                    <div class="products-block-product"
                                         :style="{ backgroundImage: `url(${backgroundImage})`}">
                                    </div>
                                </div>

                                <div class="w-100"></div>

                                <div class="col col-4">
                                    <div class="products-block-product"
                                         :style="{ backgroundImage: `url(${backgroundImage})`}">
                                    </div>
                                </div>
                                <div class="col">
                                    <div class="products-block-product"
                                         :style="{ backgroundImage: `url(${backgroundImage})`}">
                                    </div>
                                </div>
                                <div class="col">
                                    <div class="products-block-product"
                                         :style="{ backgroundImage: `url(${backgroundImage})`}">
                                    </div>
                                </div>

                                <div class="w-100"></div>

                                <div class="col">
                                    <div class="products-block-product"
                                         :style="{ backgroundImage: `url(${backgroundImage})`}">
                                    </div>
                                </div>

                            </div>


                        </div>
                    </div>
                    <div class="col">
                        <div class="products-block prodocts-block__last">
                            <p class="products-block-title">Последние заявки</p>

                            <div class="row justify-content-start">

                                <div class="col col-4 ">
                                    <div class="products-block-product"
                                         :style="{ backgroundImage: `url(${backgroundImage})`}">
                                    </div>
                                </div>
                                <div class="col">
                                    <div class="products-block-product"
                                         :style="{ backgroundImage: `url(${backgroundImage})`}">
                                    </div>
                                </div>

                                <div class="w-100"></div>

                                <div class="col col-4">
                                    <div class="products-block-product"
                                         :style="{ backgroundImage: `url(${backgroundImage})`}">
                                    </div>
                                </div>
                                <div class="col">
                                    <div class="products-block-product"
                                         :style="{ backgroundImage: `url(${backgroundImage})`}">
                                    </div>
                                </div>
                                <div class="col">
                                    <div class="products-block-product"
                                         :style="{ backgroundImage: `url(${backgroundImage})`}">
                                    </div>
                                </div>

                                <div class="w-100"></div>

                                <div class="col">
                                    <div class="products-block-product"
                                         :style="{ backgroundImage: `url(${backgroundImage})`}">
                                    </div>
                                </div>

                            </div>

                        </div>
                    </div>

                </div>
            </div>

        </div>

        <div class="form-questions">
            <div class="container">


                <div class="form-questions-content">

                    <div class="row justify-content-between">

                        <div class="col">
                            <div class="form-questions-left-block">
                                <h3>Digital-эра<br> сельского хозяйства</h3>
                                <p>Мы, команда разработчиков КрупыМуки, верим, что на прилавках скоро
                                    появятся свежие продукты, из разных уголков России, а фермеры смогут
                                    вовремя и без лишней суеты продавать урожай по одному клику.
                                    Наша торговая площадка КрупаМука создана для того, чтобы это
                                    произошло как можно быстрее.
                                </p>
                                <button class="button-primary">Присоединиться</button>
                            </div>
                        </div>

                        <div class="col-4">

                            <div class="form-questions-right-block">
                                <h3>Остались вопросы?</h3>
                                <p>Оставьте номер и наш консультант<br>
                                    свяжется с Вами в ближайшее время
                                </p>
                                <el-input placeholder="+7"></el-input>
                                <button class="button-primary">Отправить</button>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>


    </div>


</template>

<script>

    export default {

        data: () => ({
            backgroundImage: '../images/kartoshka.jpg',
        }),

    }
</script>


<style lang="scss">

    .slider-block {
        background-image: url('../assets/agriculture-field-grain-5980.png');
        background-repeat: no-repeat;
        background-position: center;
        background-size: auto;
        padding: 0;

        .container {
            height: 400px;
            display: flex;
            flex-direction: column;
            align-items: center;
            color: #ffffff;
        }

        h3 {
            font-size: 24px;
            margin: 50px 0;
        }

        .slider-block_slider-block-content-box {
            display: flex;
            justify-content: space-around;

            .slider-arrows {
                display: flex;
                align-items: center;

                .fas {
                    font-size: 35px;
                    cursor: pointer;
                    color: grey;
                }
            }
        }

        .slider-block_slider-block-content {
            display: flex;
            justify-content: center;
            flex-direction: column;
            flex-basis: 168px;
            align-items: center;

            .slider-block__slider-block-content__image-block {
                width: 80px;
                height: 80px;
                border: 6px solid #ffffff;
                border-radius: 50%;
                margin-bottom: 25px;
            }
        }
    }

    .main {
        background-color: #fffaef;

        .main-content-blocks__our-principles {
            display: flex;
            flex-direction: column;
            margin-bottom: 30px;

            .our-principles-title {
                font-size: 24px;
                margin: 44px 0 20px 0;
                text-align: center;
            }

            .our-principles {
                display: flex;
                justify-content: space-around;

                .our-principles__images-block {
                    width: 80px;
                    height: 80px;
                    border: 6px solid #c7a589;
                    background-color: #c7a589;
                    border-radius: 50%;
                    margin-bottom: 15px;
                }
                h3 {
                    font-size: 24px;
                    font-weight: 600;
                }
                .our-principles__content {
                    height: 280px;
                    display: flex;
                    flex-direction: column;
                    align-items: flex-end;
                    text-align: right;
                    margin: 30px;
                    max-width: 385px;
                    span {
                        font-size: 17px;
                        color: #36180c;
                        margin: 15px 0;
                    }

                }
                .our-principles__content__right {
                    align-items: flex-start;
                    text-align: left;
                }
            }
        }

        .form-questions {
            background-image: url('../assets/background-2.jpg');
            background-repeat: no-repeat;
            background-position: center;
            background-size: auto;

            .form-questions-content {
                height: 430px;
                text-align: left;
                color: #ffffff;
                padding: 71px 15px 0 15px;

                h3 {
                    margin-bottom: 60px;
                }

                p {
                    margin-bottom: 40px;

                }

                .form-questions-left-block {
                    max-width: 500px;
                }

                .form-questions-right-block {

                    h3 {
                        margin-bottom: 28px;
                    }
                    p {
                        margin-bottom: 30px;

                    }

                    .el-input {

                        .el-input__inner {
                            border-radius: 40px;
                        }
                    }
                }

                input {
                    border: none;
                    padding-left: 30px;
                    margin-bottom: 45px;
                    width: 100%;
                    outline: none;
                }

            }
        }

    }


</style>